Bug 836009 - Yum Dependencies Resolution failed to resolve libmozalloc and libxul
Yum Dependencies Resolution failed to resolve libmozalloc and libxul
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 16:03 EDT by Robert James Hernandez
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 11:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of failed yum update (4.85 KB, text/plain)
2012-06-27 16:03 EDT, Robert James Hernandez
no flags Details

  None (edit)
Description Robert James Hernandez 2012-06-27 16:03:09 EDT
Created attachment 594852 [details]
Output of failed yum update

Description of problem:

Yum Dependencies Resolution failed to resolve libmozalloc and libxul in the el5.x86_64 repo.  I have protectbase enabled but I dont think this should be causing the issue.

Version-Release number of selected component (if applicable):

3.2.22
  Installed: rpm-4.4.2.3-28.el5_8.x86_64 at 2012-04-04 19:55
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2012-02-29 07:27
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2012-02-27 22:00

  Installed: yum-3.2.22-39.el5.noarch at 2012-03-05 21:42
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-11-29 20:13
  Committed: James Antill <jantill@redhat.com> at 2011-11-29 22:00

  Installed: yum-metadata-parser-1.1.2-3.el5.x86_64 at 2011-11-16 14:42
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-04-06 14:15
  Committed: James Antill <james.antill@redhat.com> at 2009-04-06 22:00

  Installed: yum-rhn-plugin-0.5.4-26.el5.noarch at 2012-03-05 21:42
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-10-06 12:01
  Committed: Michael Mraka <michael.mraka@redhat.com> at 2011-10-06 22:00


How reproducible:


Steps to Reproduce:
1. Run a yum update on Redhat 5.8
  
Actual results:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libmozalloc.so()(64bit) is needed by (installed) yelp-2.16.0-29.el5.x86_64
libxul.so()(64bit) is needed by (installed) yelp-2.16.0-29.el5.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:

Successful update

Additional info:

See attached - I have included the actual output.
Comment 1 Zdeněk Pavlas 2013-04-04 11:19:07 EDT
Please, include the transaction summary, ideally with a -d9 depsolver trace, when reporting (potential) depsolver bugs.

Also, this might be a corrupt rpm index.  Try:

$ rpm --rebuilddb

Note You need to log in before you can comment on or make changes to this bug.